Repository 32bit  Forum
Repository 64bit  Wiki

Aiuto Wolvix 2.0 e pacchetti .txz

Forum dedicato ai Porting ufficiali e non di Slackware, vedi Slack/390, ARMedslack, Slamd64, Slackintosh, Ocsid, Sloox, Zenwalk, How-Tux, Slax etc etc

Moderatore: Staff

Regole del forum
1) Specificare nome e versione del porting.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » sab lug 10, 2010 10:57

Ciao a tutti.
Come da titolo ho installato su uno dei miei pc " wolvix-2.0.0-build58" Kernel 2.6.27.9, ho provato ad installare pacchetti con l'estensione in .txz e pkg non li installa, mi dice che :
Codice: Seleziona tutto
Cannot install nome_pcchetto.txz : package does not end .tgz

In pratica non installa pacchetti nella nuova estensione .txz ma soltanto i .tgz, ora volevo sapere se mi manca qualche pacchetto o devo modificare qualcosa oppure non è possibile rendere questa versione compatibile con i predetti pacchetti ??
Grazie.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda erio » sab lug 10, 2010 11:29

il kernel equivale a una slackware 12.1 o 12.2 cerca in quei repository,credo...
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1065
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » sab lug 10, 2010 12:02

Scusa ma non capisco, devo cercare il pacchetto da installare per renderlo compatibile ai .txz??
Se si come si chiama il pacchetto?
Grazie.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda erio » sab lug 10, 2010 12:32

guarda mi sa che hai equivocato ,da console vedi se ti da questo comando, txz2lzm
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1065
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » sab lug 10, 2010 12:36

No non me lo prende restituisce :" command non found " da utente normale e anche da root.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda erio » sab lug 10, 2010 12:37

vedi se trovi qualchecosa qui:ftp://ftp.slackware.org.uk/wolvix/wolvix-2.0.0/wolvix
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1065
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » sab lug 10, 2010 12:51

Grazie mille:
Credo di aver trovato dovrebbe essere questo il pacchetto:
Codice: Seleziona tutto
xz-4.999.9beta-i486-1wlv.tgz

http://tukaani.org/xz/
Anche se è ancora "Beta" spero funzioni.
Aspetto a mettere risolto prima voglio vedere come va.
Intanto grazie, Ciao.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » sab lug 10, 2010 16:30

Sono punto e a capo, il paccetto serve solo per poter creare archivi o meglio, per comprimere dei file nel formato:".txz" ma pkg continua a non installarli.
Spero di non dover aggiornare pkg con le relative librerie, perchè se così fosse non avrebbe senso.
Qualcuno sa se e come è possibile risolvere, ho provato a cercare ma non ho trovato nulla.
Grazi.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda Ansa89 » sab lug 10, 2010 16:35

Se non sbaglio il supporto per pacchetti txz è stato aggiunto nelle ultime release di pkgtool, quindi probabilmente basta che compili e installi l'ultima versione di pkgtool.
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2619
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.5-ck1
Desktop: XFCE 4.6.1

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda erio » sab lug 10, 2010 18:51

scusa, wolvix non prevede credo il formato txz infatti anche nelle ultima i pacchetti sono tutti tgz,ma posso sbagliarmi...
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1065
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » lun lug 12, 2010 15:30

Tanto per cominciare, grazie a tutti e due.
Lo so anche io che pkg gestisce il formato:"txz" soltanto a partire dalle ultime versioni (Credo da Slackware 13.0 o al massimo dalla precedente) semplicemente perchè prima non esisteva, chiedevo proprio perchè volevo sapere se fosse possibile aggiornare o rendere compatibile con la predetta estensione anche le distro basate su versioni più vecchie del Kernel .

Ora, per aggiornare pkgtool devo scaricare il pacchetto e poi dare:
Codice: Seleziona tutto
# upgradepkg Nome_pacchetto

Oppure, prima disinstallo pkgtool e poi compilo ed installo la nuova versione, come dovrei procedere ?


Ps: Non usavo più Slackware da circa un anno e mezzo, avevo installato Slackware 13.1 ma, siccome "Detesto" KDE non sono mai riuscito ad usarla, KDE 4.XX non la voglio nemmeno vedere ( Ovviamente queste sono solamente opinioni e gusti personali) provai a configurare Xfce, come mia abitudine, ma questa volta mi sono trovato in serie difficoltà, i nomi dei pacchetti sono cambiati, Slackware in questi ultimi mesi è cambiata e di molto, quindi ho deciso di rimuoverla e di Installare Wolvix per "Riprendere confidenza" visto che XFCE è preinstallata e configurata da dio.
Adesso tengo ed utilizzo Wolvix per un po, giusto il tempo di riprendere confidenza per poi reinstallare Slack., vi volevo chiedere, esiste una Guida aggiornata per la configurazione di Xfce su Slackware 13.1?
Ovviamente in parte e fino a dove sarà possibile ho intenzione di "Copiare" le configurazioni ed i pacchetti presenti su Wolvix .

Grazie.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda erio » mar lug 13, 2010 20:05

be!! ansa89 ha quel wm,penso sia lui il più adatto .
erio
Linux 3.x
Linux 3.x
 
Messaggi: 1065
Iscritto il: ven ott 09, 2009 18:25
Slackware: 13.37
Kernel: 3.0.7
Desktop: kde

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda Ansa89 » mar lug 13, 2010 20:18

A dire il vero uso xfce da solo un paio di mesi (ho abbandonato kde 4 a causa di strigi, akonadi e compagnia bella), ma non ho avuto difficoltà nelle configurazioni e i nomi dei pacchetti mi sembrano abbastanza esplicativi.

@unonessuno: in quali configurazioni/pacchetti hai incontrato difficoltà/incomprensioni?
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2619
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.5-ck1
Desktop: XFCE 4.6.1

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda unonessuno » mer lug 14, 2010 22:54

Ciao.
Scusa se ti rispondo solo adesso ma ho avuto da fare.
E' presto detto, non ho avuto nessun problema con la configurazione post-installazione, forse ho commesso l'errore di configurare da KDE e poi la ho utilizzata per un paio di giorni, quando sono passato a XFCE apriva gli archivi solo con "Ark " ho provato ad installare "File roller" ho scaricato i pacchetti li ho installati con pkg sembrava che l'installazione fosse andata a buon fine non dava nessun errore (ho controllato le dipendenze e apparentemente non mancava nulla) ma non c'era verso, non si avviava in nessun modo, continuava ad aprirli con Ark che ho disinstallato ma a quel punto sono rimasto senza gestore .
Poi come se non bastasse ho provato ad installare i driver proprietari ATI ho avviato l'eseguibile (scaricato dal sito ufficiale AmdAti il .run) ma niente da fare diceva che non trovava "X86free" questo credo sia un problema risolvibile, se avessi postato l'output qui nel forum qualcuno mi avrebbe aiutato a risolverlo.
Questi sono soltanto 2 delle seccature che non sono riuscito a risolvere da solo, come vedi sono cose tutto sommato banali in teoria non dovrei aver avuto fastidi.............
Allora mi sono stancato ed ho installato wolvix che già conoscevo (Su wolvix i driver Ati li ha installati subito senza problemi) ovviamente su Slackware 13.1 avevo l'intenzione di disinstallare KDE e tenere solo K3b su Xfce lo uso da sempre con Gnome credo sia il miglior software per la masterizzazione non me ne voglio privare.
Bo non so........ adesso aspetto un po e poi riprovo con Slck. 13.1.
PS: In pratica, ho avuto tutta una serie di "Seccature" che non ero più abituato ad avere e allo stesso tempo non le sapevo risolvere da solo,(File Roller non me la spiego in teoria avevo fatto tutto l'occorrente ) mi sono incazzato e d'inpulso ho scelto la via più facile, sarà il caldo,tra qualche giorno ci riprovo.
Ultima modifica di unonessuno il mer lug 14, 2010 23:14, modificato 1 volta in totale.
Avatar utente
unonessuno
Linux 2.0
Linux 2.0
 
Messaggi: 137
Iscritto il: dom giu 27, 2010 2:59
Slackware: 14.0
Kernel: 3.2.29-smp
Desktop: XFCE4.10

Re: Aiuto Wolvix 2.0 e pacchetti .txz

Messaggioda Ansa89 » mer lug 14, 2010 23:12

Per "file roller" potevi provare a lanciarlo da terminale (ed eventualmente riportare gli errori che uscivano).
Per i driver ati...Stendiamo un velo pietoso, comunque se hai una scheda abbastanza nuova puoi sentire da spina se ha qualche consiglio, altrimenti usa i driver del kernel che vanno benissimo.
Per il programma di masterizzazione puoi provare a guardare simpleburner o xfburn.
Avatar utente
Ansa89
Iper Master
Iper Master
 
Messaggi: 2619
Iscritto il: mer ago 29, 2007 16:57
Località: Modena
Nome Cognome: Stefano Ansaloni
Slackware: 13.1
Kernel: 3.15.5-ck1
Desktop: XFCE 4.6.1

Prossimo

Torna a Porting Slackware

Chi c’è in linea

Visitano il forum: Nessuno e 3 ospiti